//
//  DBAPI2WaitForChangesInDBFolderTask.h
//
//

#ifdef DROPBOX_FEATURE

#import "DBAPI2BaseTask.h"

@interface DBAPI2WaitForChangesInDBFolderTask : DBAPI2BaseTask

// Input:
@property (nonatomic, nonnull, copy, readonly) NSString *cursor;
@property (nonatomic, assign, readonly) NSTimeInterval timeout;

// Output:
@property (nonatomic, assign, readonly) BOOL changes;
@property (nullable, nonatomic, strong, readonly) DBFILESListFolderLongpollError *routeError;

- (nonnull instancetype)initWithCursor:(nonnull NSString *)cursor
                               timeout:(NSTimeInterval)timeout;

@end

#endif
